Package org.flowable.dmn.api

# Interface DmnDeploymentBuilder

public interface DmnDeploymentBuilder
Builder for creating new deployments. A builder instance can be obtained through `DmnRepositoryService.createDeployment()`. Multiple resources can be added to one deployment before calling the `deploy()` operation. After deploying, no more changes can be made to the returned deployment and the builder instance can be disposed.

Author:
  Tijs Rademakers, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DmnDeploymentBuilder`
  `addClasspathResource(String resource)`
  `DmnDeploymentBuilder`
  `addDmnBytes(String resourceName, byte[] dmnBytes)`
  `DmnDeploymentBuilder`
  `addDmnModel(String resourceName, DmnDefinition dmnDefinition)`
  `DmnDeploymentBuilder`
  `addInputStream(String resourceName, InputStream inputStream)`
  `DmnDeploymentBuilder`
  `addString(String resourceName, String text)`
  `DmnDeploymentBuilder`
  `category(String category)`
  Gives the deployment the given category.
  `DmnDeployment`
  `deploy()`
  Deploys all provided sources to the DMN engine.
  `DmnDeploymentBuilder`
  `disableSchemaValidation()`
  If called, no XML schema validation against the BPMN 2.0 XSD.
  `DmnDeploymentBuilder`
  `enableDuplicateFiltering()`
  `DmnDeploymentBuilder`
  `name(String name)`
  Gives the deployment the given name.
  `DmnDeploymentBuilder`
  `parentDeploymentId(String parentDeploymentId)`
  Gives the deployment the given parent deployment id.
  `DmnDeploymentBuilder`
  `tenantId(String tenantId)`
  Gives the deployment the given tenant id.

- ## Method Details

  - ### addInputStream

    DmnDeploymentBuilder addInputStream(String resourceName, InputStream inputStream)

  - ### addClasspathResource

    DmnDeploymentBuilder addClasspathResource(String resource)

  - ### addString

    DmnDeploymentBuilder addString(String resourceName, String text)

  - ### addDmnBytes

    DmnDeploymentBuilder addDmnBytes(String resourceName, byte[] dmnBytes)

  - ### addDmnModel

    DmnDeploymentBuilder addDmnModel(String resourceName, DmnDefinition dmnDefinition)

  - ### disableSchemaValidation

    DmnDeploymentBuilder disableSchemaValidation()
    If called, no XML schema validation against the BPMN 2.0 XSD. Not recommended in general.

  - ### name

    DmnDeploymentBuilder name(String name)
    Gives the deployment the given name.

  - ### category

    DmnDeploymentBuilder category(String category)
    Gives the deployment the given category.

  - ### tenantId

    DmnDeploymentBuilder tenantId(String tenantId)
    Gives the deployment the given tenant id.

  - ### parentDeploymentId

    DmnDeploymentBuilder parentDeploymentId(String parentDeploymentId)
    Gives the deployment the given parent deployment id.

  - ### enableDuplicateFiltering

    DmnDeploymentBuilder enableDuplicateFiltering()

  - ### deploy

    DmnDeployment deploy()
    Deploys all provided sources to the DMN engine.